Use this API to return the base role object. Role users, apps, and administrators are returned using sub endpoints.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:idHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Resource Parameters
id required integer | Set to the |
Sample Responses
- 200 SAML
- 401 Unauthorized
- 404 Not Found
{
"id": 123,
"name": "Sample Role"
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}The requested role does not exist.
{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get Role
curl 'https://<subdomain>.onelogin.com/api/2/roles/:id' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.